Index: trunk/quest-core-usability/src/main/java/de/ugoe/cs/quest/usability/UsabilityEvaluationManager.java
===================================================================
--- trunk/quest-core-usability/src/main/java/de/ugoe/cs/quest/usability/UsabilityEvaluationManager.java	(revision 442)
+++ trunk/quest-core-usability/src/main/java/de/ugoe/cs/quest/usability/UsabilityEvaluationManager.java	(revision 561)
@@ -1,3 +1,2 @@
-//-------------------------------------------------------------------------------------------------
 // Module    : $RCSfile: UsabilityEvaluationManager.java,v $
 // Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 16.07.2012 $
@@ -5,5 +4,5 @@
 // Creation  : 2012 by pharms
 // Copyright : Patrick Harms, 2012
-//-------------------------------------------------------------------------------------------------
+
 package de.ugoe.cs.quest.usability;
 
@@ -12,7 +11,6 @@
 import java.util.logging.Logger;
 
-import de.ugoe.cs.quest.tasktrees.treeifc.TaskTree;
+import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTree;
 
-//-------------------------------------------------------------------------------------------------
 /**
  * TODO comment
@@ -21,86 +19,70 @@
  * @author 2012, last modified by $Author: pharms$
  */
-//-------------------------------------------------------------------------------------------------
-public class UsabilityEvaluationManager
-{
-  /** */
-  private static Logger LOG = Logger.getLogger(UsabilityEvaluationManager.class.getName());
+public class UsabilityEvaluationManager {
+    
+    /** */
+    private static Logger LOG = Logger.getLogger(UsabilityEvaluationManager.class.getName());
 
-  /** */
-  private List<UsabilityEvaluationRule> mRules = new ArrayList<UsabilityEvaluationRule>();
-  
-  //-----------------------------------------------------------------------------------------------
-  /**
-   * TODO: comment
-   *
-   */
-  //-----------------------------------------------------------------------------------------------
-  public UsabilityEvaluationManager()
-  {
-    super();
-    init();
-  }
+    /** */
+    private List<UsabilityEvaluationRule> rules = new ArrayList<UsabilityEvaluationRule>();
 
-  //-----------------------------------------------------------------------------------------------
-  /**
-   * TODO: comment
-   *
-   */
-  //-----------------------------------------------------------------------------------------------
-  private void init()
-  {
-    mRules.add(new TextInputStatisticsRule());
-  }
+    /**
+     * TODO: comment
+     * 
+     */
+    public UsabilityEvaluationManager() {
+        super();
+        init();
+    }
 
-  //-----------------------------------------------------------------------------------------------
-  /**
-   * TODO: comment
-   *
-   * @param taskTree
-   */
-  //-----------------------------------------------------------------------------------------------
-  public UsabilityEvaluationResult evaluateUsability(TaskTree taskTree)
-  {
-    LOG.info("evaluating usability of task tree " + taskTree);
-    
-    List<UsabilityEvaluationResult> results = new ArrayList<UsabilityEvaluationResult>();
-    
-    for (UsabilityEvaluationRule rule : mRules)
-    {
-      LOG.info("applying rule " + rule.getClass().getSimpleName());
-      UsabilityEvaluationResult result = rule.evaluate(taskTree);
-      results.add(result);
-      LOG.info("the rule found " + result.getAllDefects().size() + " usability defects, of " +
-                "which " + result.getSevereDefects().size() + " are severe.");
+    /**
+     * TODO: comment
+     * 
+     */
+    private void init() {
+        rules.add(new TextInputStatisticsRule());
     }
-    
-    UsabilityEvaluationResult result = mergeResults(results);
-    LOG.info("the evaluation result contains " + result.getAllDefects().size() + " defects, of " +
-             "which " + result.getSevereDefects().size() + " are severe.");
-    return result;
-  }
 
-  //-----------------------------------------------------------------------------------------------
-  /**
-   * TODO: comment
-   *
-   * @param results
-   * @return
-   */
-  //-----------------------------------------------------------------------------------------------
-  private UsabilityEvaluationResult mergeResults(List<UsabilityEvaluationResult> results)
-  {
-    UsabilityEvaluationResult result = new UsabilityEvaluationResult();
-    
-    for (UsabilityEvaluationResult ruleResult : results)
-    {
-      for (UsabilityDefect defect : ruleResult.getAllDefects())
-      {
-        result.addDefect(defect);
-      }
+    /**
+     * TODO: comment
+     * 
+     * @param taskTree
+     */
+    public UsabilityEvaluationResult evaluateUsability(ITaskTree taskTree) {
+        LOG.info("evaluating usability of task tree " + taskTree);
+
+        List<UsabilityEvaluationResult> results = new ArrayList<UsabilityEvaluationResult>();
+
+        for (UsabilityEvaluationRule rule : rules) {
+            LOG.info("applying rule " + rule.getClass().getSimpleName());
+            UsabilityEvaluationResult result = rule.evaluate(taskTree);
+            results.add(result);
+            LOG.info("the rule found " + result.getAllDefects().size() + " usability defects, of " +
+                     "which " + result.getSevereDefects().size() + " are severe.");
+        }
+
+        UsabilityEvaluationResult result = mergeResults(results);
+        LOG.info("the evaluation result contains " + result.getAllDefects().size() +
+                 " defects, of which " + result.getSevereDefects().size() + " are severe.");
+        return result;
     }
-    
-    return result;
-  }
-  
+
+    /**
+     * TODO: comment
+     * 
+     * @param results
+     * @return
+     */
+    private UsabilityEvaluationResult mergeResults(List<UsabilityEvaluationResult> results) {
+        UsabilityEvaluationResult result = new UsabilityEvaluationResult();
+
+        for (UsabilityEvaluationResult ruleResult : results) {
+            for (UsabilityDefect defect : ruleResult.getAllDefects()) {
+                result.addDefect(defect);
+            }
+        }
+
+        return result;
+    }
+
 }
